Package org.apache.cayenne.access.types

# Class TimeType

java.lang.Object
org.apache.cayenne.access.types.TimeType

All Implemented Interfaces:
  `ExtendedType<Time>`

public class TimeType extends Object implements ExtendedType<Time>

Since:
  3.0

- ## Field Summary

  ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

  `TRIM_VALUES_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeType()`
  `TimeType(boolean useCalendar)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns a full name of Java class that this ExtendedType supports.
  `Time`
  `materializeObject(CallableStatement rs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Time`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `void`
  `setJdbcObject(PreparedStatement statement, Time value, int pos, int type, int scale)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Time value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeType

    public TimeType()
    Since:
      4.2

  - ### TimeType

    public TimeType(boolean useCalendar)
    Since:
      4.2

- ## Method Details

  - ### getClassName

    public String getClassName()
    Description copied from interface: `ExtendedType`
    Returns a full name of Java class that this ExtendedType supports.
    Specified by:
      `getClassName` in interface `ExtendedType<Time>`

  - ### materializeObject

    public Time materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Time>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Time materializeObject(CallableStatement rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Time>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement statement, Time value, int pos, int type, int scale) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<Time>`
    Throws:
      `Exception`

  - ### toString

    public String toString(Time value)
    Description copied from interface: `ExtendedType`
    Converts value of the supported type to a human-readable String representation.
    Specified by:
      `toString` in interface `ExtendedType<Time>`
    Parameters:
      `value` - a value to convert to String.